(function (Drupal, drupalSettings) {
  function getCookie(name) {
    const match = document.cookie.match(new RegExp(`(^| )${name}=([^;]+)`));
    if (match) {
      return match[2];
    }
    return null;
  }

  Drupal.behaviors.switchToggleBehavior = {
    attach() {
      const ecoButton = document.getElementById('eco-button');
      ecoButton.addEventListener('click', () => {
        window.location.href = `${drupalSettings.eco_mode.switch_url}?destination=${window.location.pathname}`;
      });
      if (getCookie('eco_mode') === '1') {
        ecoButton.classList.add('active');
        ecoButton.setAttribute('aria-checked', 'true');
      } else {
        ecoButton.classList.remove('active');
        ecoButton.setAttribute('aria-checked', 'false');
      }
    },
  };
})(Drupal, drupalSettings);
