<?php

namespace Drupal\eco_mode_image;

use Drupal\eco_mode_image\Plugin\Field\FieldFormatter\EcoImageFormatter;
use Drupal\eco_mode_image\Plugin\Field\FieldFormatter\EcoImageUrlFormatter;
use Drupal\eco_mode_image\Plugin\Field\FieldFormatter\EcoResponsiveImageFormatter;
use Drupal\eco_mode_image\Plugin\Field\FieldFormatter\EcoSvgImageFormatter;
use Drupal\eco_mode_image\Plugin\Field\FieldFormatter\EcoSvgImageUrlFormatter;
use Drupal\eco_mode_image\Plugin\Field\FieldFormatter\EcoSvgResponsiveImageFormatter;
use Drupal\svg_image\Plugin\Field\FieldFormatter\SvgImageFormatter;
use Drupal\svg_image\Plugin\Field\FieldFormatter\SvgImageUrlFormatter;
use Drupal\svg_image_responsive\Plugin\Field\FieldFormatter\SvgResponsiveImageFormatter;

/**
 * Class EcoModeImageHelper.
 *
 *   Helper class for image formatters.
 *
 * @package eco_mode_image
 */
class EcoModeImageHelper {

  /**
   * Formatter info alter.
   *
   * @param array $info
   *   The formatter info.
   *
   * @return void
   *   Return void.
   */
  public static function formatterInfoAlter(array &$info): void {
    $moduleHandler = \Drupal::service('module_handler');
    $svgImageEnabled = !empty($moduleHandler->moduleExists('svg_image'));
    $info['image']['class'] = $svgImageEnabled && class_exists(SvgImageFormatter::class) ? EcoSvgImageFormatter::class : EcoImageFormatter::class;
    $info['image_url']['class'] = $svgImageEnabled && class_exists(SvgImageUrlFormatter::class) ? EcoSvgImageUrlFormatter::class : EcoImageUrlFormatter::class;
    $svgImageResponsiveEnabled = !empty($moduleHandler->moduleExists('svg_image_responsive'));
    $info['responsive_image']['class'] = $svgImageResponsiveEnabled && class_exists(SvgResponsiveImageFormatter::class) ? EcoSvgResponsiveImageFormatter::class : EcoResponsiveImageFormatter::class;
  }

}
