<?php

declare(strict_types=1);

namespace Drupal\eco_mode_image\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldDefinitionInterface;
use Drupal\eco_mode_image\Trait\EcoImageFormatterTrait;
use Drupal\responsive_image\Plugin\Field\FieldFormatter\ResponsiveImageFormatter;

/**
 * Plugin implementation of the 'EcoResponsiveImageFormatter' formatter.
 *
 * @FieldFormatter(
 *   id = "responsive_image",
 *   label = @Translation("Responsive image"),
 *   field_types = {"image"},
 * )
 */
class EcoResponsiveImageFormatter extends ResponsiveImageFormatter {

  use EcoImageFormatterTrait;

  /**
   * {@inheritdoc}
   */
  public static function isApplicable(FieldDefinitionInterface $field_definition) {
    $moduleHandler = \Drupal::service('module_handler');
    return !empty($moduleHandler->moduleExists('responsive_image'));
  }

}
