<?php

declare(strict_types=1);

namespace Drupal\eco_mode_image\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldDefinitionInterface;
use Drupal\eco_mode_image\Trait\EcoImageFormatterTrait;
use Drupal\svg_image\Plugin\Field\FieldFormatter\SvgImageFormatter;

/**
 * Plugin implementation of the 'EcoSvgImageFormatter' formatter.
 *
 * @FieldFormatter(
 *   id = "image",
 *   label = @Translation("Image svg"),
 *   field_types = {"image"},
 * )
 */
class EcoSvgImageFormatter extends SvgImageFormatter {

  use EcoImageFormatterTrait;

  /**
   * {@inheritdoc}
   */
  public static function isApplicable(FieldDefinitionInterface $field_definition) {
    $moduleHandler = \Drupal::service('module_handler');
    return !empty($moduleHandler->moduleExists('svg_image'));
  }

}
