<?php

declare(strict_types=1);

namespace Drupal\eco_mode_image\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldDefinitionInterface;
use Drupal\eco_mode_image\Trait\EcoImageFormatterTrait;
use Drupal\svg_image_responsive\Plugin\Field\FieldFormatter\SvgResponsiveImageFormatter;

/**
 * Plugin implementation of the 'EcoSvgResponsiveImageFormatter' formatter.
 *
 * @FieldFormatter(
 *   id = "responsive_image",
 *   label = @Translation("Responsive image svg"),
 *   field_types = {"image"},
 * )
 */
class EcoSvgResponsiveImageFormatter extends SvgResponsiveImageFormatter {

  use EcoImageFormatterTrait;

  /**
   * {@inheritdoc}
   */
  public static function isApplicable(FieldDefinitionInterface $field_definition) {
    $moduleHandler = \Drupal::service('module_handler');
    return !empty($moduleHandler->moduleExists('svg_image_responsive'));
  }

}
