<?php

namespace Drupal\eco_mode_image\Trait;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Form\FormStateInterface;
use Drupal\eco_mode\FormatterHelper;
use Drupal\eco_mode\Trait\BaseFormatterTrait;

/**
 * Trait EcoImageFormatterTrait.
 *
 * Trait for eco mode image formatter.
 *
 * @package Drupal\eco_mode_image\Trait
 */
trait EcoImageFormatterTrait {

  use BaseFormatterTrait;

  /**
   * {@inheritdoc}
   */
  public static function defaultSettings() {
    return [
      'responsive_image_style' => '',
      'image_link' => '',
      'image_loading' => [
        'attribute' => 'lazy',
      ],
    ] + FormatterHelper::getBaseSettings() + parent::defaultSettings();
  }

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode): array {
    return $this->getBaseViewElements($items, $langcode);
  }

  /**
   * {@inheritdoc}
   */
  public function settingsForm(array $form, FormStateInterface $form_state) {
    $form = parent::settingsForm($form, $form_state);
    return $this->getBaseSettingForm($form, $form_state);
  }

}
