<?php

declare(strict_types=1);

namespace Drupal\eco_mode_media\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldDefinitionInterface;
use Drupal\Core\Field\Plugin\Field\FieldFormatter\EntityReferenceEntityFormatter;
use Drupal\eco_mode_media\Trait\EcoMediaFormatterTrait;

/**
 * Plugin implementation of the 'EcoMediaFormatter' formatter.
 *
 * @FieldFormatter(
 *   id = "entity_reference_entity_view",
 *   label = @Translation("Rendered entity"),
 *   description = @Translation("Render the referenced entity."),
 *   field_types = {
 *     "entity_reference"
 *   }
 * )
 */
class EcoMediaFormatter extends EntityReferenceEntityFormatter {

  use EcoMediaFormatterTrait;

  /**
   * {@inheritdoc}
   */
  public static function isApplicable(FieldDefinitionInterface $field_definition) {
    $moduleHandler = \Drupal::service('module_handler');
    return !empty($moduleHandler->moduleExists('media')) && parent::isApplicable($field_definition);
  }

}
