<?php

namespace Drupal\eco_mode_media\Trait;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Form\FormStateInterface;
use Drupal\eco_mode\FormatterHelper;
use Drupal\eco_mode\Trait\BaseFormatterTrait;

/**
 * Trait EcoMediaFormatterTrait.
 *
 * Trait for eco mode media formatter.
 *
 * @package Drupal\eco_mode_media\Trait
 */
trait EcoMediaFormatterTrait {

  use BaseFormatterTrait;

  /**
   * {@inheritdoc}
   */
  public static function defaultSettings() {
    return parent::defaultSettings() + FormatterHelper::getBaseSettings();
  }

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode): array {
    return $this->getBaseViewElements($items, $langcode);
  }

  /**
   * {@inheritdoc}
   */
  public function settingsForm(array $form, FormStateInterface $form_state) {
    $form = parent::settingsForm($form, $form_state);
    return $this->getBaseSettingForm($form, $form_state);
  }

}
